Skip to main content
GET
/
api
/
v1
/
posts
/
schedule
Query scheduled posts
curl --request GET \
  --url https://apix.us.amity.co/api/v1/posts/schedule \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "_id": "<string>",
      "scheduledAt": "2023-11-07T05:31:56Z",
      "status": {
        "code": "WAIT",
        "description": "<string>"
      },
      "userId": "<string>",
      "userDisplayName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "files": [
        {
          "fileId": "<string>",
          "fileUrl": "<string>",
          "type": "image",
          "accessType": "public",
          "altText": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "attributes": {
            "name": "<string>",
            "extension": "<string>",
            "size": 123,
            "mimeType": "<string>",
            "metadata": {
              "exif": {},
              "gps": {},
              "height": 123,
              "width": 123,
              "isFull": true
            }
          }
        }
      ],
      "communities": [
        {
          "communityId": "<string>",
          "channelId": "<string>",
          "displayName": "<string>",
          "_id": "<string>",
          "path": "<string>",
          "userId": "<string>",
          "userPublicId": "<string>",
          "userInternalId": "<string>",
          "avatarFileId": "<string>",
          "description": "<string>",
          "isOfficial": true,
          "isPublic": true,
          "onlyAdminCanPost": true,
          "tags": [
            "<string>"
          ],
          "metadata": {},
          "postsCount": 123,
          "membersCount": 123,
          "isJoined": true,
          "categoryIds": [
            "<string>"
          ],
          "isDeleted": false,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "hasFlaggedComment": false,
          "hasFlaggedPost": false,
          "needApprovalOnPostCreation": false,
          "moderatorMemberCount": 123,
          "allowCommentInStory": true,
          "isDiscoverable": false,
          "requiresJoinApproval": false,
          "notificationMode": "default",
          "type": "default"
        }
      ]
    }
  ],
  "networkId": "<string>",
  "paging": {
    "next": "<string>",
    "prev": "<string>"
  },
  "users": [
    {
      "userId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "_id": "<string>",
      "path": "<string>",
      "userInternalId": "<string>",
      "userPublicId": "<string>",
      "roles": [
        "<string>"
      ],
      "permissions": [
        "MUTE_CHANNEL"
      ],
      "displayName": "<string>",
      "profileHandle": "<string>",
      "description": "<string>",
      "avatarFileId": "<string>",
      "avatarCustomUrl": "<string>",
      "flagCount": 123,
      "hashFlag": {
        "bits": 123,
        "hashes": 123,
        "hash": [
          "<string>"
        ]
      },
      "metadata": {},
      "isGlobalBan": true,
      "isBrand": true,
      "isDeleted": true
    }
  ],
  "files": [
    {
      "fileId": "<string>",
      "fileUrl": "<string>",
      "type": "image",
      "accessType": "public",
      "altText": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "attributes": {
        "name": "<string>",
        "extension": "<string>",
        "size": 123,
        "mimeType": "<string>",
        "metadata": {
          "exif": {},
          "gps": {},
          "height": 123,
          "width": 123,
          "isFull": true
        }
      }
    }
  ],
  "communities": [
    {
      "communityId": "<string>",
      "channelId": "<string>",
      "displayName": "<string>",
      "_id": "<string>",
      "path": "<string>",
      "userId": "<string>",
      "userPublicId": "<string>",
      "userInternalId": "<string>",
      "avatarFileId": "<string>",
      "description": "<string>",
      "isOfficial": true,
      "isPublic": true,
      "onlyAdminCanPost": true,
      "tags": [
        "<string>"
      ],
      "metadata": {},
      "postsCount": 123,
      "membersCount": 123,
      "isJoined": true,
      "categoryIds": [
        "<string>"
      ],
      "isDeleted": false,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "hasFlaggedComment": false,
      "hasFlaggedPost": false,
      "needApprovalOnPostCreation": false,
      "moderatorMemberCount": 123,
      "allowCommentInStory": true,
      "isDiscoverable": false,
      "requiresJoinApproval": false,
      "notificationMode": "default",
      "type": "default"
    }
  ],
  "polls": [
    {
      "pollId": "<string>",
      "userId": "<string>",
      "userInternalId": "64be1f6cb9b4106b5a6bbf3f",
      "userPublicId": "User123",
      "title": "<string>",
      "question": "<string>",
      "answers": [
        {
          "dataType": "text",
          "data": "<string>",
          "fileId": "<string>",
          "voteCount": 0,
          "isVotedByUser": false,
          "id": "<string>"
        }
      ],
      "answerType": "<string>",
      "closedAt": "<string>",
      "createdAt": "<string>",
      "isVoted": false,
      "status": "open",
      "closedIn": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

notPostedOnly
boolean
default:false

Filter to show only posts that haven't been published yet

sortBy
enum<string>
default:lastCreated

Sort order for results

Available options:
lastCreated,
firstCreated,
lastUpdated,
firstUpdated
options
object

Response

Scheduled posts retrieved successfully

data
object[]
networkId
string
paging
object
users
object[]
files
object[]
communities
object[]
polls
object[]